Uploaded image for project: 'Snowstorm'
  1. Snowstorm
  2. STORM-453

libcurl used by LL (7.20.1) does not support proxies, upgrade to (7.21.1)

    Details

    • Type: Story
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: Sprint 9, Viewer 2.5.0
    • Labels:
      None
    • Environment:
      All

      Description

      The version of libcurl (7.20.1) used by the current viewer does not work with proxy servers (blocking VWR-20801), this problem is resolved in libcurl 7.21.1 (fixing commit to curl http://github.com/bagder/curl/commit/a1a5ba3d0adad64c4c028d5d3f2903abd0efb510 )

      Please update curl, to 7.21.1 or at least update the LL version with the change set above.

      When using VWR-20801, expected:

      I expected to login to secondlife normally when using proxy options

      what happened:

      Secondlife reports an error unable to connect

      A thorough debugging with a debugger found the offending bug in curl and after reporting the bug to libcurl, getting it fixed and testing with libcurl 7.21.1 things worked as expected.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                robin.cornelius Robin Cornelius
                Extended Group Visibility:
                jira-users
              • Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - 3 days
                  3d
                  Remaining:
                  Time Spent - 1 day, 6 hours Remaining Estimate - 1 day, 2 hours
                  1d 2h
                  Logged:
                  Time Spent - 1 day, 6 hours Remaining Estimate - 1 day, 2 hours
                  1d 6h